<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">  
    <modelVersion>4.0.0</modelVersion>  
    <artifactId>commons-codeassist</artifactId>  
    <parent> 
        <groupId>io.onedev</groupId>  
        <artifactId>commons</artifactId>  
        <version>2.2.4</version>
    </parent>  
    <build> 
        <plugins> 
            <plugin> 
                <groupId>org.antlr</groupId>  
                <artifactId>antlr4-maven-plugin</artifactId>  
                <version>${antlr.version}</version>
				<executions>
					<execution>
						<goals>
							<goal>antlr4</goal>
						</goals>
					</execution>
				</executions>
                <configuration> 
					<sourceDirectory>${basedir}/src/main/java</sourceDirectory>
                    <excludes> 
                        <exclude>**/Lex*.g4</exclude> 
                    </excludes>  
                    <libDirectory>${basedir}/src/main/java/io/onedev/commons/codeassist</libDirectory>  
                    <listener>false</listener>  
                    <visitor>false</visitor> 
                </configuration> 
            </plugin>  
        </plugins> 
		<resources>
			<resource>
				<directory>src/main/java</directory>
				<excludes>
					<exclude>**/*.java</exclude>
				</excludes>
			</resource>
			<resource>
				<directory>src/main/resources</directory>
			</resource>
			<resource>
				<directory>target/generated-sources/antlr4</directory>
				<includes>
					<include>*.tokens</include>
				</includes>
			</resource>
		</resources>
    </build>  
    <dependencies> 
		<dependency>
			<groupId>io.onedev</groupId>
			<artifactId>commons-utils</artifactId>
		</dependency>
		<dependency>
			<groupId>org.antlr</groupId>
			<artifactId>antlr4</artifactId>
		</dependency>
    </dependencies>  
</project>
